//var baseUrl = "http://www.servicesdiscovery.com:8080";
var baseUrl = "https://www.servicesdiscovery.com";
var nextSceneName = "";
var prevSceneName = "";
var typePoint = "";
var resultData = {};
var audioPlayed = true;
var audioIndex = "main";

var audio_blackknight;
var audio_thewildhunt;
var audio_theepicjourneybegins;
var audio_indianriverwalk;

var userLevel = 0;
var userScore = 0;
var userAdop1Chk = 0;

var adop1SceneName = "";

var seenFlagArray = {};


var getAdop1SceneName = function(t) {
  var n = t;
  if(userLevel > 2 || parseInt(userAdop1Chk) == 1) {
    var t2 = t.split("_");
    var t3 = t.substr(-1);

    typePoint = "";
    if(t2[0] == "BC3" || t2[0] == "RM1" || t2[0] == "OE2" || t2[0] == "OE4") {
      lastCodeProc(t);
      t3 = typePoint;
    }

    switch( t2[0] ) {
      case "BC1" : n = "BC1_adop1_02"; break;
      case "BC2" : n = "BC2_adop1_02"; break;
      case "BC3" : n = "BC3_adop1_03"; n += (t3 == "a" || t3 == "b") ? t3 : "a"; break;
      case "RM1" : n = "RM1_adop1_02"; n += (t3 == "a" || t3 == "b") ? t3 : "a"; break;
      case "OE1" : n = "OE1_adop1_03"; break;
      case "OE2" : n = "OE2_adop1_03"; n += (t3 == "a" || t3 == "b") ? t3 : "a"; break;
      case "OE3" : n = "OE3_adop1_02"; break;
      case "OE4" : n = "OE4_adop1_03"; n += (t3 == "a" || t3 == "b") ? t3 : "a"; break;
    }
    adop1SceneName = n;
  }
  return adop1SceneName;
};

var getAdop1SceneName2 = function(t) {
  var n = t;
  if(userLevel > 2 || parseInt(userAdop1Chk) == 1) {
    var t2 = t.split("_");
    var t3 = t.substr(-1);

    switch( t2[0] ) {
      case "BC1" : n = "BC1_adop1_01"; break;
      case "BC2" : n = "BC2_adop1_01"; break;
      case "BC3" : n = "BC3_adop1_01"; break;
      case "RM1" : n = "RM1_adop1_01"; break;
      case "OE1" : n = "OE1_adop1_01"; break;
      case "OE2" : n = "OE2_adop1_01"; break;
      case "OE3" : n = "OE3_adop1_01"; break;
      case "OE4" : n = "OE4_adop1_01"; break;
    }
    adop1SceneName = n;
  }

  //alert("Pick carefully.");

  return adop1SceneName;
};

var getAdop1BackSceneName = function(t) {
  var n = t;
  if(userLevel > 2) {
    var t2 = t.split("_");
    var t3 = t.substr(-1);

    switch( t2[0] ) {
      case "BC1" : n = "BC1_adop1_01"; break;
      case "BC2" : n = "BC2_adop1_01"; break;
      case "BC3" : n = "BC3_adop1_01"; break;
      case "RM1" : n = "RM1_adop1_01"; break;
      case "OE1" : n = "OE1_adop1_01"; break;
      case "OE2" : n = "OE2_adop1_01"; break;
      case "OE3" : n = "OE3_adop1_01"; break;
      case "OE4" : n = "OE4_adop1_01"; break;
    }
    adop1SceneName = n;
  }

  //alert("Pick carefully.");

  return adop1SceneName;
};

var checkEmail = function(val) {
	if(val.search(/^((\w|[\-\.\_])+)@((\w|[\-\.\_])+)\.([A-Za-z]{2,})$/) == -1) {
		return false;
	} else {
		return true;
	}
};

var ajaxSend = function(url, data, callback) {
 	$.ajax({
    type : "POST",
		url : url,
		data : data,
    cache : false,
		success : callback,
		dataType : "json",
    async : false
  });
};

var trackingPointProc = function(pointName) {
  var url = baseUrl + "/sntc_tools/web/tracking_proc.php?ts=" + (new Date()).getTime().toString();

	var data = {
		"point_name" : pointName
	};

	var callback = function(result) {
    if(result.errorCode == 0) {
      //alert("Sign in OK.");
      nextSceneName = "";
      userLevel = result.data.userLevel;
      userScore = result.data.userScore;
      userAdop1Chk = result.data.userAdop1Check;
    } else {
      //alert(result.errorMessage);
      //alert("Error.\n[" + result.errorMessage + "]");
      nextSceneName = "";
    }
  };

  nextSceneName = "";
  ajaxSend(url, data, callback);
};

var endPointProc = function(pointName) {
  var url = baseUrl + "/sntc_tools/web/point_end_proc.php?ts=" + (new Date()).getTime().toString();

	var data = {
		"point_name" : pointName
	};

	var callback = function(result) {
    if(result.errorCode == 0) {
      //alert("Sign in OK.");
      //nextSceneName = "";
    } else {
      //alert(result.errorMessage);
      alert("Error.\n[" + result.errorMessage + "]");
      //nextSceneName = "";
    }
  };

  //nextSceneName = "";
  ajaxSend(url, data, callback);
};

var registUserProc = function(company, email, lastname, firstname) {
	var url = baseUrl + "/sntc_tools/web/regist_proc.php?ts=" + (new Date()).getTime().toString();

	var data = {
		"company" : company,
		"email" : email,
		"lastname" : lastname,
		"firstname" : firstname
	};

 	var callback = function(result) {
    if(result.errorCode == 0) {
      //alert("Sign in OK.");
      //nextSceneName = "Main_welcome_01";
      nextSceneName = "Main_map_01";
    } else {
      //alert(result.errorMessage);
      alert("Can not sign up. Please try again.\n[" + result.errorMessage + "]");
      nextSceneName = "";
    }
  };

  nextSceneName = "";
  ajaxSend(url, data, callback);
};

var loginUserProc = function(ccoid, email) {
	var url = baseUrl + "/sntc_tools/web/login_proc.php?ts=" + (new Date()).getTime().toString();

	var data = {
		"ccoid" : ccoid,
		"email" : email
	};

 	var callback = function(result) {
    if(result.errorCode == 0) {
      //alert("Sign in OK.");
      nextSceneName = "Main_map_01";
    } else {
      //alert(result.errorMessage);
      alert("CCO ID and email do not match. Please try again.\n[" + result.errorMessage + "]");
      nextSceneName = "";
    }
  };

  nextSceneName = "";
  ajaxSend(url, data, callback);
};

var welcomeProc = function(choice) {
	var url = baseUrl + "/sntc_tools/web/welcome_proc.php?ts=" + (new Date()).getTime().toString();

	var data = {
		"choice" : choice
	};

  var callback = function(result) {
    if(result.errorCode == 0) {
      nextSceneName = result.data.moveMapName;
      //nextSceneName = trackingPointProc(pointName, "N");
    } else {
      alert("Error.\n[" + result.errorMessage + "]");
      nextSceneName = "";
    }
  };

  nextSceneName = "";
  ajaxSend(url, data, callback);
};

var updateCcoIdProc = function(ccoid) {
	var url = baseUrl + "/sntc_tools/web/ccoid_update_proc.php?ts=" + (new Date()).getTime().toString();

	var data = {
		"ccoid" : ccoid
	};

  var callback = function(result) {
    if(result.errorCode == 0) {
      nextSceneName = "Main_welcome_02";
    } else {
      alert("Error.\n[" + result.errorMessage + "]");
      nextSceneName = "";
    }
  };

  nextSceneName = "";
  ajaxSend(url, data, callback);
};

var getNextSceneName = function() {
  var url = baseUrl + "/sntc_tools/web/did_next_proc.php?ts=" + (new Date()).getTime().toString();

  var data = {};

  var callback = function(result) {
    if(result.errorCode == 0) {
      nextSceneName = result.data.moveMapName;
    } else {
      alert("Error.\n[" + result.errorMessage + "]");
      nextSceneName = "";
    }
  };

  nextSceneName = "";
  ajaxSend(url, data, callback);
};

var getNextSceneName2 = function() {
  var url = baseUrl + "/sntc_tools/web/did_next2_proc.php?ts=" + (new Date()).getTime().toString();

  var data = {};

  var callback = function(result) {
    if(result.errorCode == 0) {
      nextSceneName = result.data.moveMapName;
    } else {
      alert("Error.\n[" + result.errorMessage + "]");
      nextSceneName = "";
    }
  };

  nextSceneName = "";
  ajaxSend(url, data, callback);
};

var registSurveyProc = function(answer1, answer2, answer3, comment) {
	var url = baseUrl + "/sntc_tools/web/survey_proc.php?ts=" + (new Date()).getTime().toString();

	var data = {
		"answer1" : answer1,
		"answer2" : answer2,
		"answer3" : answer3,
		"comment" : comment
	};

  var callback = function(result) {
    if(result.errorCode == 0) {
      nextSceneName = result.data.moveMapName;
    } else {
      alert("Error.\n[" + result.errorMessage + "]");
      nextSceneName = "";
    }
  };

  nextSceneName = "";
  ajaxSend(url, data, callback);
};

var challengeStateProc = function() {
  var url = baseUrl + "/sntc_tools/web/challenge_status_proc.php?ts=" + (new Date()).getTime().toString();

  var data = {};

  var callback = function(result) {
    if(result.errorCode == 0) {
      resultData = result.data;
    } else {
      alert("Error.\n[" + result.errorMessage + "]");
      resultData = {};
    }
  };

  nextSceneName = "";
  ajaxSend(url, data, callback);
};

var didNextStatusProc = function() {
  var url = baseUrl + "/sntc_tools/web/did_next_proc.php?ts=" + (new Date()).getTime().toString();

  var data = {};

  var callback = function(result) {
    if(result.errorCode == 0) {
      nextSceneName = result.data.moveMapName;
      if(nextSceneName == "")
        nextSceneName = "next";
    } else {
      alert("Error.\n[" + result.errorMessage + "]");
      nextSceneName = "";
    }
  };

  nextSceneName = "";
  ajaxSend(url, data, callback);
};

var lastCodeProc = function(pointName) {
  var url = baseUrl + "/sntc_tools/web/lastpoint_proc.php?ts=" + (new Date()).getTime().toString();

  var data = {
    "point_name" : pointName
  };

  var callback = function(result) {
    if(result.errorCode == 0) {
      typePoint = result.data.typePoint;
      trackingLogProc("lastCodeProc result : " + typePoint);
    } else {
      alert("Error.\n[" + result.errorMessage + "]");
      typePoint = "";
      trackingLogProc("lastCodeProc result : ERROR");
    }
  };

  typePoint = "";
  ajaxSend(url, data, callback);
};

var previousPointProc = function() {
  var url = baseUrl + "/sntc_tools/web/previouspoint_proc.php?ts=" + (new Date()).getTime().toString();

  var data = {};

  var callback = function(result) {
    if(result.errorCode == 0) {
      prevSceneName = result.data.previousPoint;
    } else {
      alert("Error.\n[" + result.errorMessage + "]");
      prevSceneName = "";
    }
  };

  prevSceneName = "";
  ajaxSend(url, data, callback);
};

var userInfoSelectProc = function() {
  var url = baseUrl + "/sntc_tools/web/userinfo_proc.php?ts=" + (new Date()).getTime().toString();

  var data = {};

  var callback = function(result) {
    if(result.errorCode == 0) {
      resultData = result.data;
    } else {
      alert("Error.\n[" + result.errorMessage + "]");
      resultData = {};
    }
  };

  nextSceneName = "";
  ajaxSend(url, data, callback);
};

var updateUserInfoProc = function(ccoid_mypage, email_mypage, company_mypage, firstname_mypage, contact_mypage, country_mypage) {
	var url = baseUrl + "/sntc_tools/web/userinfo_update_proc.php?ts=" + (new Date()).getTime().toString();

	var data = {
		"ccoid" : ccoid_mypage,
		"email" : email_mypage,
		"company" : company_mypage,
		"firstname" : firstname_mypage,
    "contact" : contact_mypage,
    "country" : country_mypage
	};

 	var callback = function(result) {
    if(result.errorCode == 0) {
      alert("User info is updated.");
      //nextSceneName = "Main_welcome_01";
      //nextSceneName = "Main_map_01";
    } else {
      //alert(result.errorMessage);
      alert("Can not update user info. Please try again.\n[" + result.errorMessage + "]");
      nextSceneName = "";
    }
  };

  nextSceneName = "";
  ajaxSend(url, data, callback);
};

var registGiveawayProc = function(inputGiveaway, inputName_giveaway, inputCompany_giveaway, inputAddress_giveaway, inputZipcode_giveaway, inputCountry_giveaway, inputContact_giveaway) {
	var url = baseUrl + "/sntc_tools/web/giveaway_proc.php?ts=" + (new Date()).getTime().toString();

	var data = {
    "gift" : inputGiveaway,
		"username" : inputName_giveaway,
		"company" : inputCompany_giveaway,
		"address" : inputAddress_giveaway,
		"zipcode" : inputZipcode_giveaway,
		"country" : inputCountry_giveaway,
    "contact" : inputContact_giveaway
	};

 	var callback = function(result) {
    if(result.errorCode == 0) {
      alert("registered.");
      //nextSceneName = "Main_welcome_01";
      //nextSceneName = "Main_map_01";
    } else {
      //alert(result.errorMessage);
      if(result.errorCode == -5)
        alert("Your score is not enough.");
      else
        alert("Can not registered. Please try again.\n[" + result.errorMessage + "]");
      nextSceneName = "";
    }
  };

  nextSceneName = "";
  ajaxSend(url, data, callback);
};


var shareContents = function(type, from, to, content) {
  var share_text = "Discover+%26+unlock+the+true+values+of+your+network%21+Play+Cisco%E2%80%99s+adventure+game+now%3A+https%3A%2F%2Fwww.servicesdiscovery.com%2Fvaluediscovery_cl";
  var share_url = "https://www.servicesdiscovery.com/valuediscovery_cl";
  if(type == "facebook") {
    window.open("https://www.facebook.com/sharer/sharer.php?sdk=joey&u=" + share_url + "&t=" + share_text + "&display=popup&ref=plugin&src=share_button", "", "width=700,height=530,toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=yes");
  } else if(type == "twitter") {
    window.open("https://twitter.com/intent/tweet?original_referer=" + share_url + "&text=" + share_text + "&url=" + share_url + "&via=CiscoServices", "", "width=700,height=530,toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=no,resizable=yes");
  } else if(type == "email") {

  }

	var url = baseUrl + "/sntc_tools/web/share_proc.php?ts=" + (new Date()).getTime().toString();

	var data = {
    "type" : type,
		"from" : from,
		"to" : to,
		"content" : content
	};

 	var callback = function(result) {
    if(result.errorCode == 0) {
      if(result.data.share_type == "email") {
        //alert("shared.");
        nextSceneName = "shared";
      } else {
        nextSceneName = "Main_map_02";
      }
    } else {
      alert("Can not shared. Please try again.\n[" + result.errorMessage + "]");
      nextSceneName = "";
    }
  };

  nextSceneName = "";
  ajaxSend(url, data, callback);
}

var registContactProc = function(firstname, lastname, email, company, country, contact, follow) {
	var url = baseUrl + "/sntc_tools/web/contact_proc.php?ts=" + (new Date()).getTime().toString();

	var data = {
		"firstname" : firstname,
		"lastname" : lastname,
		"email" : email,
		"company" : company,
		"country" : country,
		"contact" : contact,
		"follow" : follow
	};

 	var callback = function(result) {
    if(result.errorCode == 0) {
      alert("registered.");
      //nextSceneName = "Main_welcome_01";
      nextSceneName = "Main_map_01";
    } else {
      //alert(result.errorMessage);
      alert("Can not registered. Please try again.\n[" + result.errorMessage + "]");
      nextSceneName = "";
    }
  };

  nextSceneName = "";
  ajaxSend(url, data, callback);
};

var updateUserInfoOE3Proc = function(answer) {
	var url = baseUrl + "/sntc_tools/web/userinfo_oe3_update_proc.php?ts=" + (new Date()).getTime().toString();

	var data = {
    "answer" : answer
	};

 	var callback = function(result) {
    if(result.errorCode == 0) {
      //alert("User info is updated.");
    } else {
      //alert("Can not update user info. Please try again.\n[" + result.errorMessage + "]");
      //nextSceneName = "";
    }
  };

  nextSceneName = "";
  ajaxSend(url, data, callback);
};

var isLoginProc = function() {
	var url = baseUrl + "/sntc_tools/web/is_login_proc.php?ts=" + (new Date()).getTime().toString();

	var data = {};

 	var callback = function(result) {
    if(result.errorCode == 0) {
      prevSceneName = result.data.previousPoint;
    } else {
      prevSceneName = "";
    }
  };

  prevSceneName = "";
  ajaxSend(url, data, callback);
};

var logoutProc = function() {
	var url = baseUrl + "/sntc_tools/web/logout_proc.php?ts=" + (new Date()).getTime().toString();

	var data = {};

 	var callback = function(result) {
    if(result.errorCode == 0) {
      var hhh = location.href;
      location.href = hhh;
    } else {
    }
  };

  ajaxSend(url, data, callback);
};

var trackingLogProc = function(t) {
	var url = baseUrl + "/sntc_tools/web/tracking_log_proc.php?ts=" + (new Date()).getTime().toString();

	var data = {
    "text" : t
  };

 	var callback = function(result) {};

  ajaxSend(url, data, callback);
};


var player, player1, player2;
var player_style, player_style1, player_style2;
/*
	style = $("#PreInstall").attr("style");
	$("#PreInstall").parent().html("<div class='HYPE_element' id='PreInstall' style='"+style+"'></div>");
	//player = null;
	style2 = $("#CollectorSoftware").attr("style");
	$("#CollectorSoftware").parent().html("<div class='HYPE_element' id='CollectorSoftware' style='"+style2+"'></div>");
*/


/*
var tm, player;

function onYouTubeIframeAPIReady() {
    player = new YT.Player( 'ytplayer', {
                                 events: { 'onStateChange': onPlayerStateChange }
                           });
}

function onPlayerStateChange(event) {

    switch(event.data) {
      case 0:
        alert('video ended');
        break;
      case 1:
        alert('video playing from '+player.getCurrentTime());
        break;
      case 2:
        alert('video paused at '+player.getCurrentTime());
        break;
    }

  if(event.data == 1) {
    tm = setInterval(function() {
                        if(player.getCurrentTime() >= 60) {
                          alert("60 seconds");
                          clearInterval(tm);
                        }
                      }, 1000);
  } else {
    clearInterval(tm);
  }
}
*/
